automated_test_config = {
    "SPB_DET_AGIPD1M-1-CORRECT-FIXED": {
        "det_type": "AGIPD",
        "cal_type": "CORRECT",
        "config": {
            "blc-stripes": True,
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/SPB/202131/p900215/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9014",  # Original run: "95"
            "karabo-id-control": "SPB_IRU_AGIPD1M1",
            "karabo-id": "SPB_DET_AGIPD1M-1",
            "slurm-mem": "750",
            "sequences": "0",
            "rel-gain": True,
            "n-cores-files": 2,
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "SPB_DET_AGIPD1M-1-DARK-FIXED": {
        "det_type": "AGIPD",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/SPB/202131/p900215/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            # Unsorted dark runs
            "run-high": "9013",  # Original run "93"
            "run-med": "9012",  # Original run: "92"
            "run-low": "9011",  # Original run: "91"
            "karabo-id-control": "SPB_IRU_AGIPD1M1",
            "karabo-id": "SPB_DET_AGIPD1M-1",
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "SPB_DET_AGIPD1M-1-CORRECT-ADAPTIVE": {
        "det_type": "AGIPD",
        "cal_type": "CORRECT",
        "config": {
            "blc-stripes": True,
            "rel-gain": True,
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/SPB/202131/p900215/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9018",  # Original run 262
            "karabo-id-control": "SPB_IRU_AGIPD1M1",
            "karabo-id": "SPB_DET_AGIPD1M-1",
            "slurm-mem": "750",
            "sequences": "0",
            "n-cores-files": 2,
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "SPB_DET_AGIPD1M-1-DARK-ADAPTIVE": {
        "det_type": "AGIPD",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/SPB/202131/p900215/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9015",  # Original run: "216",
            "run-med": "9016",  # Original run: "217",
            "run-low": "9017",  # Original run: "218",
            "karabo-id-control": "SPB_IRU_AGIPD1M1",
            "karabo-id": "SPB_DET_AGIPD1M-1",
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "MID_DET_AGIPD1M-1-CORRECT-ADAPTIVE": {
        "det_type": "AGIPD",
        "cal_type": "CORRECT",
        "config": {
            "blc-stripes": True,
            "rel-gain": True,
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/MID/202121/p002929/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9022", # Original run: "21",
            "karabo-id-control": "MID_EXP_AGIPD1M1",
            "karabo-id": "MID_DET_AGIPD1M-1",
            "slurm-mem": "750",
            "sequences": "0,1",
            "n-cores-files": 2,
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "MID_DET_AGIPD1M-1-CORRECT-SELECT_CELLS_CM": {
        "det_type": "AGIPD",
        "cal_type": "CORRECT",
        "config": {
            "blc-stripes": True,
            "rel-gain": True,
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/MID/202121/p002929/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9022", # Original run: "21",
            "max-pulses": [0, 160, 2],
            "common-mode": True,
            "karabo-id-control": "MID_EXP_AGIPD1M1",
            "karabo-id": "MID_DET_AGIPD1M-1",
            "slurm-mem": "750",
            "sequences": "0,1",
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
            "n-cores-files": 2,
            "sequences-per-node": 1,
        },
        "reference-folder": "{}/{}/{}",
    },
    "MID_DET_AGIPD1M-1-CORRECT-SELECT_CELLS_NOCM": {
        "det_type": "AGIPD",
        "cal_type": "CORRECT",
        "config": {
            "blc-stripes": True,
            "rel-gain": True,
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/MID/202121/p002929/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9022", # Original run: "21",
            "max-pulses": [0, 160, 2],
            "no-common-mode": True,
            "karabo-id-control": "MID_EXP_AGIPD1M1",
            "karabo-id": "MID_DET_AGIPD1M-1",
            "slurm-mem": "750",
            "sequences": "0,1",
            "n-cores-files": 2,
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "MID_DET_AGIPD1M-1-DARK-ADAPTIVE": {
        "det_type": "AGIPD",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/MID/202121/p002929/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9019",  # Original run: "4"
            "run-med": "9020",  # Original run: "5"
            "run-low": "9021",  # Original run: "6"
            "karabo-id-control": "MID_EXP_AGIPD1M1",
            "karabo-id": "MID_DET_AGIPD1M-1",
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "HED_DET_AGIPD500K2G-CORRECT-ADAPTIVE": {
        "det_type": "AGIPD",
        "cal_type": "CORRECT",
        "config": {
            "blc-stripes": True,
            "rel-gain": True,
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202131/p900228/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9026", # Original run: "29",
            "karabo-id-control": "HED_EXP_AGIPD500K2G",
            "karabo-id": "HED_DET_AGIPD500K2G",
            "slurm-mem": "750",
            "n-cores-files": 2,
            "sequences": "0,1",
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "HED_DET_AGIPD500K2G-DARK-ADAPTIVE": {
        "det_type": "AGIPD",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202131/p900228/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            # Unsorted dark runs
            "run-high": "9023", # Original run: "25",
            "run-med": "9025",  # Original run: "27",
            "run-low": "9024",  # Original run: "26",
            "karabo-id-control": "HED_EXP_AGIPD500K2G",
            "karabo-id": "HED_DET_AGIPD500K2G",
            "ctrl-source-template": "{}/MDL/FPGA_COMP",
        },
        "reference-folder": "{}/{}/{}",
    },
    "FXE_XAD_JF500K-DARK-SINGLE": {
        "det_type": "JUNGFRAU",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/FXE/202101/p002478/raw/"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9031",  # Original run: "47"
            "run-med": "9032",  # Original run: "48"
            "run-low": "9033",  # Original run: "49"
            "karabo-id-control": "",
            "karabo-id": "FXE_XAD_JF500K",
            "karabo-da": "JNGFR03",
        },
        "reference-folder": "{}/{}/{}",
    },
    "FXE_XAD_JF500K-CORRECT-SINGLE": {
        "det_type": "JUNGFRAU",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/FXE/202101/p002478/raw/"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9030",  # Original from: 52
            "sequences": "0,50",
            "karabo-id-control": "",
            "karabo-id": "FXE_XAD_JF500K",
            "karabo-da": "JNGFR03",
        },
        "reference-folder": "{}/{}/{}",
    },
    "FXE_XAD_JF1M-DARK-BURST": {
        "det_type": "JUNGFRAU",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/FXE/202131/p900226/raw/"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9035",  # Original run: "108"
            "run-med": "9036",  # Original run: "109"
            "run-low": "9037",  # Original run: "110"
            "karabo-id-control": "",
            "karabo-id": "FXE_XAD_JF1M",
            "karabo-da": ["JNGFR01", "JNGFR02"],
        },
        "reference-folder": "{}/{}/{}",
    },
    "FXE_XAD_JF1M-CORRECT-BURST": {
        "det_type": "JUNGFRAU",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            # "/gpfs/exfel/exp/FXE/202131/p900226/raw"
            "run": "9034", # Run cloned from run 106.
            "sequences": "0,1",
            "karabo-id-control": "",
            "karabo-id": "FXE_XAD_JF1M",
            "karabo-da": ["JNGFR01", "JNGFR02"],
        },
        "reference-folder": "{}/{}/{}",
    },
#     "FXE_XAD_JF1M-DARK-BURST_LONGRUN": {
#         "det_type": "JUNGFRAU",
#         "cal_type": "DARK",
#         "config": {
#             "out-folder": "{}/{}/{}",
#             "in-folder": "/gpfs/exfel/exp/FXE/202321/p004576/raw",
#             "run-high": "112",
#             "run-med": "113",
#             "run-low": "118",
#             "karabo-id-control": "",
#             "karabo-id": "FXE_XAD_JF1M",
#             "karabo-da": ["JNGFR01", "JNGFR02"],
#         },
#         "reference-folder": "{}/{}/{}",
#     },
    "FXE_XAD_JF1M-CORRECT-SINGLE": {
        "det_type": "JUNGFRAU",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/FXE/202101/p002478/raw/"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9030",  # Original from: 52
            "sequences": "1,30,49",
            "karabo-id-control": "",
            "karabo-id": "FXE_XAD_JF1M",
            "karabo-da": ["JNGFR01", "JNGFR02"],
        },
        "reference-folder": "{}/{}/{}",
    },
    "FXE_XAD_JF1M-DARK-SINGLE": {
        "det_type": "JUNGFRAU",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/FXE/202101/p002478/raw/"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9031",  # Original run: "47"
            "run-med": "9032",  # Original run: "48"
            "run-low": "9033",  # Original run: "49"
            "karabo-id-control": "",
            "karabo-id": "FXE_XAD_JF1M",
            "karabo-da": ["JNGFR01", "JNGFR02"],
        },
        "reference-folder": "{}/{}/{}",
    },
    "SPB_IRDA_JF4M-CORRECT-SINGLE": {
        "det_type": "JUNGFRAU",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9007",
            "karabo-id-control": "",
            "karabo-id": "SPB_IRDA_JF4M",
            "karabo-da": [
                "JNGFR01",
                "JNGFR02",
                "JNGFR03",
                "JNGFR04",
                "JNGFR05",
                "JNGFR06",
                "JNGFR07",
                "JNGFR08",
            ],
        },
        "reference-folder": "{}/{}/{}",
    },
    "SPB_IRDA_JF4M-DARK-ADAPTIVE": {
        "det_type": "JUNGFRAU",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9004",
            "run-med": "9005",
            "run-low": "9006",
            "karabo-id-control": "",
            "karabo-id": "SPB_IRDA_JF4M",
            "karabo-da": [
                "JNGFR01",
                "JNGFR02",
                "JNGFR03",
                "JNGFR04",
                "JNGFR05",
                "JNGFR06",
                "JNGFR07",
                "JNGFR08",
            ],
        },
        "reference-folder": "{}/{}/{}",
    },
    # MISSING FROM REFERENCE RUNS.
    # "SPB_IRDA_JF4M-DARK-FIXED":
    # {
    #     "det_type": "JUNGFRAU",
    #     "cal_type": "DARK",
    #     "config":
    #         {
    #         "out-folder": "{}/{}/{}",
    #         "in-folder": "/gpfs/exfel/exp/SPB/202202/p003051/raw",
    #         "run-high": "166",
    #         "run-med": "168",
    #         "run-low": "169",
    #         "karabo-id-control": "",
    #         "karabo-id": "SPB_IRDA_JF4M",
    #         "karabo-da": [
    #             "JNGFR01", "JNGFR02", "JNGFR03", "JNGFR04",
    #             "JNGFR05", "JNGFR06", "JNGFR07", "JNGFR08"
    #         ],
    #         },
    #     "reference-folder": "{}/{}/{}",
    # },
    "HED_IA1_JF500K1-DARK-ADAPTIVE": {
        "det_type": "JUNGFRAU",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202102/p002656/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9039",  # Original run: "219",
            "run-med": "9040",  # Original run: "220",
            "run-low": "9041",  # Original run: "221",
            "karabo-id": "HED_IA1_JF500K1",
            "karabo-da": "JNGFR01",
        },
        "reference-folder": "{}/{}/{}",
    },
    "HED_IA1_JF500K2-DARK-ADAPTIVE": {
        "det_type": "JUNGFRAU",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202102/p002656/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            # The 3 runs are arranged in a wrong way on purpose.
            "run-high": "9040",  # Original run: "219",
            "run-med": "9041",  # Original run: "220",
            "run-low": "9039",  # Original run: "221",
            "karabo-id": "HED_IA1_JF500K2",
            "karabo-da": "JNGFR02",
        },
        "reference-folder": "{}/{}/{}",
    },
    "HED_IA1_JF500K3-DARK-ADAPTIVE": {
        "det_type": "JUNGFRAU",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202102/p002656/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9039",  # Original run: "219",
            "run-med": "9040",  # Original run: "220",
            "run-low": "9041",  # Original run: "221",
            "karabo-id": "HED_IA1_JF500K3",
            "karabo-da": "JNGFR03",
        },
        "reference-folder": "{}/{}/{}",
    },
#    "HED_IA1_JF500K1-DARK-FIXED":
#     {
#         "det_type": "JUNGFRAU",
#         "cal_type": "DARK",
#         "config":
#             {
#             "out-folder": "{}/{}/{}",
#             "in-folder": "/gpfs/exfel/exp/HED/202131/p900227/raw",
#             "run-high": "65",
#             "run-med": "66",
#             "run-low": "67",
#             "karabo-id": "HED_IA1_JF500K1",
#             "karabo-da": "JNGFR01",
#             },
#         "reference-folder": "{}/{}/{}",
#     },
    "HED_IA1_JF500K1-CORRECT-ADAPTIVE": {
        "det_type": "JUNGFRAU",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202102/p002656/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9038",  # Original run: "230"
            "sequences": "0,2,4",
            "karabo-id": "HED_IA1_JF500K1",
            "karabo-da": "JNGFR01",
        },
        "reference-folder": "{}/{}/{}",
    },
    "HED_IA1_JF500K2-CORRECT-ADAPTIVE": {
        "det_type": "JUNGFRAU",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202102/p002656/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9038",  # Original run: "230"
            "sequences": "0",
            "karabo-id": "HED_IA1_JF500K2",
            "karabo-da": "JNGFR02",
        },
        "reference-folder": "{}/{}/{}",
    },
    "HED_IA1_JF500K3-CORRECT-ADAPTIVE": {
        "det_type": "JUNGFRAU",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202102/p002656/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9038",  # Original run: "230"
            "sequences": "1,3",
            "karabo-id": "HED_IA1_JF500K3",
            "karabo-da": "JNGFR03",
        },
        "reference-folder": "{}/{}/{}",
    },
    "HED_IA1_EPX100-1-DARK": {
        "det_type": "EPIX100",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202102/p002656/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9047",  # Original run: "219",
            "karabo-id": "HED_IA1_EPX100-1",
            "karabo-da": "EPIX01",
        },
        "reference-folder": "{}/{}/{}",
    },
    "MID_EXP_EPIX-1-CORRECT": {
        "det_type": "EPIX100",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # Original proposal 2936
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9042",  # Original run: "160"
            "karabo-id": "MID_EXP_EPIX-1",
            "karabo-da": "EPIX01",
            "sequences": "1,2,3",
            "fix-temperature": 290,
        },
        "reference-folder": "{}/{}/{}",
    },
    "HED_IA1_EPX100-1-CORRECT": {
        "det_type": "EPIX100",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/HED/202102/p002656/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9038",  # Original run: "230"
            "karabo-id": "HED_IA1_EPX100-1",
            "karabo-da": "EPIX01",
            "sequences": "1,2,3",
            "fix-temperature": 290,
        },
        "reference-folder": "{}/{}/{}",
    },
    "MID_EXP_EPIX-2-DARK": {
        "det_type": "EPIX100",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9045",  # Original run: 224 proposal 2655
            "karabo-id": "MID_EXP_EPIX-2",
            "karabo-da": "EPIX02",
        },
        "reference-folder": "{}/{}/{}",
    },
    "SQS_NQS_PNCCD1MP-CORRECT": {
        "det_type": "PNCCD",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/SQS/202031/p900166/raw",
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9001",  # Original run: "347",
            "karabo-id": "SQS_NQS_PNCCD1MP",
            "karabo-da": "PNCCD01",
        },
        "reference-folder": "{}/{}/{}",
    },
    "SQS_NQS_PNCCD1MP-DARK": {
        "det_type": "PNCCD",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/SQS/202031/p900166/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9000",  # Original run: "345",
            "karabo-id": "SQS_NQS_PNCCD1MP",
            "karabo-da": "PNCCD01",
        },
        "reference-folder": "{}/{}/{}",
    },
    "FXE_DET_LPD1M-1-DARK": {
        "det_type": "LPD",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/FXE/202131/p900226/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run-high": "9008",  # Original run: "145",
            "run-med": "9009",  # Original run: "146",
            "run-low": "9010",  # Original run: "147",
            "karabo-id": "FXE_DET_LPD1M-1",
        },
        "reference-folder": "{}/{}/{}",
    },
    "FXE_DET_LPD1M-1-CORRECT": {  # THIS IS A DARK RUN.
        "det_type": "LPD",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/FXE/202131/p900226/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9008",  # Original run: "145",
            "sequences": "0",
            "karabo-id": "FXE_DET_LPD1M-1",
            "slurm-mem": "750",
            "num-workers": 4,
        },
        "reference-folder": "{}/{}/{}",
    },
    "SCS_DET_DSSC1M-1-DARK": {
        "det_type": "DSSC",
        "cal_type": "DARK",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/SCS/202122/p002937/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9028",  # Original run: "1723",
            "karabo-id": "SCS_DET_DSSC1M-1",
            "slow-data-path": "SCS_CDIDET_DSSC/FPGA/PPT_Q",
            "slow-data-aggregators":
                - 1
                - 2
                - 3
                - 4
        },
        "reference-folder": "{}/{}/{}",
    },
    "SCS_DET_DSSC1M-1-CORRECT": {
        "det_type": "DSSC",
        "cal_type": "CORRECT",
        "config": {
            "out-folder": "{}/{}/{}",
            # "/gpfs/exfel/exp/SCS/202122/p002937/raw"
            "in-folder": "/gpfs/exfel/exp/CALLAB/202130/p900203/raw",
            "run": "9028",  # Original run: "1723",
            "karabo-id": "SCS_DET_DSSC1M-1",
            "slow-data-path": "SCS_CDIDET_DSSC/FPGA/PPT_Q",
        },
        "reference-folder": "{}/{}/{}",
    },
    # "FXE_XAD_G2XES-DARK": {
    #     "det_type": "Gotthard2",
    #     "cal_type": "DARK",
    #     "config": {
    #         "out-folder": "{}/{}/{}",
    #         "in-folder": "/gpfs/exfel/exp/FXE/202231/p900298/raw",
    #         "karabo-da": "GH201",
    #         "run-high": "7",
    #         "run-med": "8",
    #         "run-low": "9",
    #         "karabo-id": "FXE_XAD_G2XES",
    #     },
    #     "reference-folder": "{}/{}/{}",
    # },
    # "FXE_XAD_G2XES-CORRECT": {
    #     "det_type": "Gotthard2",
    #     "cal_type": "CORRECT",
    #     "config": {
    #         "out-folder": "{}/{}/{}",
    #         "in-folder": "/gpfs/exfel/exp/FXE/202231/p900298/raw",
    #         "karabo-da": "GH201",
    #         "run": "7",
    #         "karabo-id": "FXE_XAD_G2XES",
    #         "no-offset-correction": True,
    #     },
    #     "reference-folder": "{}/{}/{}",
    # },
    # "SPB_50UM_GH2-CORRECT": {
    #     "det_type": "Gotthard2",
    #     "cal_type": "CORRECT",
    #     "config": {
    #         "out-folder": "{}/{}/{}",
    #         "in-folder": "/gpfs/exfel/exp/SPB/202321/p004577/raw",
    #         "karabo-da": "GH200",
    #         "run": "98",
    #         "sequences": "0,3,6",
    #         "karabo-id": "SPB_50UM_GH2",
    #     },
    #     "reference-folder": "{}/{}/{}",
    # },
}
